import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPasswordField;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.UIManager;
import javax.swing.text.JTextComponent;

import com.deeppradhan.textmenu.TextMenu;

public class HelloTextMenu extends JFrame {

	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					new HelloTextMenu();
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	HelloTextMenu() {
		super("Hello Text Menu");

		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {
			e.printStackTrace();
		}
		JTextField textField = new JTextField();
		JTextArea textArea = new JTextArea();
		JPasswordField passwordField = new JPasswordField();

		JMenuBar menuBar = new JMenuBar();
		JMenu menuEdit = new JMenu("Edit");
		menuEdit.setMnemonic('E');
		menuBar.add(menuEdit);
		setJMenuBar(menuBar);

		/************************************************************************************
		* Add TextMenu JPopupMenu to JTextComponents: textField, textArea and passwordField *
		* Set the TextMenu JMenuItems for JTextComponent textArea                           *
		* Add the TextMenu JMenuItems to the JMenu menuEdit                                 *
		************************************************************************************/
		new TextMenu(new JTextComponent[]{textField, textArea, passwordField}, textArea, menuEdit);

		setMinimumSize(new Dimension(360, 240));
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setLocationByPlatform(true);

		textField.setText("Lorem ipsum dolor sit amet");
		getContentPane().add(textField, BorderLayout.NORTH);

		textArea.setLineWrap(true);
		textArea.setWrapStyleWord(true);
		textArea.setText("Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.");

		JScrollPane scrollPane = new JScrollPane(textArea);
		getContentPane().add(scrollPane, BorderLayout.CENTER);

		passwordField.setText("Lorem ipsum dolor sit amet");
		getContentPane().add(passwordField, BorderLayout.SOUTH);

		pack();
		setVisible(true);
	}
}
